
%global meadversion 2.0.8
%global namedversion 2.0.8.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}xml-security}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.8.redhat-1

Name:           %{?scl_prefix}xml-security
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache XML Security for Java
Group:          Development/Java

%if %with mead
Source100: xmlsec-2.0.8.redhat-1-scm-sources.zip
Source102: xmlsec-2.0.8.redhat-1-project-sources.tar.gz
Source103: xmlsec-2.0.8.redhat-1.pom
Source104: xmlsec-2.0.8.redhat-1-javadoc.jar
Source105: xmlsec-2.0.8.redhat-1.jar
Source106: xmlsec-2.0.8.redhat-1-sources.jar
%endif

License:        ASL 2.0
URL:            http://santuario.apache.org/
Provides:       %{?scl_prefix}xmlsec = %{epoch}:%{version}-%{release}
# XXX: 1.7.7
Requires:       %{?scl_prefix_eap}slf4j-api >= 0:1.7.7
Requires:       %{?scl_prefix_eap}woodstox-core >= 0:5.0.3
# XXX: 1.10
Requires:       %{?scl_prefix_eap}commons-codec >= 0:1.9.0
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Apache XML Security for Java supports XML-Signature Syntax and
Processing, W3C Recommendation 12 February 2002, and XML Encryption
Syntax and Processing, W3C Recommendation 10 December 2002. As of
version 1.4, the library supports the standard Java API JSR-105: XML
Digital Signature APIs.

%if %with javadoc
%package javadoc
Summary:        Javadoc for xmlsec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n santuario-java -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/xmlsec-%{namedversion}.jar %{buildroot}%{_javadir}/xmlsec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/xmlsec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/xmlsec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/xmlsec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/xmlsec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/xmlsec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/xmlsec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/xmlsec-%{namedversion} -x META-INF/\*
%{__ln_s} xmlsec-%{namedversion} %{buildroot}%{_javadocdir}/xmlsec
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE NOTICE
%{_javadir}/xmlsec-%{namedversion}.jar
%{_javadir}/xmlsec.jar
%if %with javadoc
%{_javadir}/xmlsec-%{namedversion}-javadoc.jar
%{_javadir}/xmlsec-javadoc.jar
%endif
%{_javadir}/xmlsec-%{namedversion}-sources.jar
%{_javadir}/xmlsec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/xmlsec-%{namedversion}
%{_javadocdir}/xmlsec
%endif

%changelog
* Fri Mar 24 2017 Fernando Nasser <fnasser@redhat.com> - 2.0.8-2.redhat_1.1
- Revuild for EAP 7.1 (different woodstox dependency)

* Mon Nov 07 2016 Petr Sakar <psakar@redhat.com> - 2.0.7-1.redhat_1.1
- upgrade to 2.0.7.redhat-1

* Mon Nov 07 2016 Filip Kujikis <fkujikis@redhat.com> - 2.0.6-3.redhat_1.1
- rerunning wrapper build for 2.0.6.redhat-1 with updated dependency for woodstox 

* Thu Aug 04 2016 Fernando Nasser <fnasser@redhat.com> - 2.0.6-2.redhat_1.1
- Upgrade to 2.0.6.redhat-1

* Tue Jul 26 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.0.6-1.redhat_1.1
- Upgrade to 2.0.6.Final

* Wed Aug 26 2015 Lin Gao <lgao@redhat.com> - 2.0.5-1.redhat_1.1
- Upgrade to 2.0.5.redhat-1

* Mon Jul 06 2015 David Walluck <dwalluck@redhat.com> - 2.0.4-1.redhat_1.1
- release

